#include<iostream>
using namespace std;
int main ()
{
    long long T;
    cin>>T;
    for(int i=0;i<T;i++)
    {
        long long x, y, x1, y1, a, b;
        cin>>x>>y>>x1>>y1>>a>>b;
        cout<<0;
    }
    
    return 0;
}
